%define upstream_name    Text-Sprintf-Named
%define upstream_version 0.0405

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Sprintf-like function with named conversions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%description
Text::Sprintf::Named provides a sprintf equivalent with named conversions.
Named conversions are sprintf field specifiers (like '"%%s"' or '"%%4d'")
only they are associated with the key of an associative array of
parameters. So for example '"%%(name)s"' will emit the ''name'' parameter as
a string, and '"%%(num)4d"' will emit the ''num'' parameter as a variable
with a width of 4.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.40.500-2.mga9
+ Revision: 1813420
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 tv <tv> 0.40.500-1.mga8
+ Revision: 1636804
- update to 0.0405

* Wed Oct 07 2020 tv <tv> 0.40.400-1.mga8
+ Revision: 1632487
- update to 0.0404

* Wed Feb 12 2020 umeabot <umeabot> 0.40.300-3.mga8
+ Revision: 1506738
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.300-2.mga7
+ Revision: 1286981
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 0.40.300-1.mga7
+ Revision: 1231572
- update to 0.0403

* Sun Jun 19 2016 pterjan <pterjan> 0.40.200-6.mga6
+ Revision: 1035139
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.200-5.mga6
+ Revision: 950077
- Mageia 6 Mass Rebuild

* Wed Oct 22 2014 danf <danf> 0.40.200-4.mga5
+ Revision: 792396
- Fixed unescaped macros in package description

* Wed Oct 15 2014 umeabot <umeabot> 0.40.200-3.mga5
+ Revision: 745097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.200-2.mga5
+ Revision: 686652
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.40.200-1.mga5
+ Revision: 581385
- update to 0.0402

* Fri Oct 18 2013 umeabot <umeabot> 0.40.100-3.mga4
+ Revision: 515632
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.100-2.mga3
+ Revision: 374185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.40.100-1.mga3
+ Revision: 255534
- update to 0.0401

* Fri Dec 16 2011 shlomif <shlomif> 0.30.100-1.mga2
+ Revision: 182762
- imported package perl-Text-Sprintf-Named


* Tue Jun 28 2011 cpan2dist 0.0301-1mga
- initial mageia release, generated with cpan2dist
